Subject: Weekly github digest (QUIC Activity Summary)

From: Repository Activity Summary Bot <[email-masked]>
Date: Sun, 25 Oct 2020 03:35:04 -0400 (EDT)

Events without label "editorial"

Issues
------
* quicwg/base-drafts (+4/-6/💬42)
  4 issues created:
  - Make TLS Optional (by guilt)
    https://github.com/quicwg/base-drafts/issues/4260 
  - Request Forgery Attacks through Version Negotiation (by huitema)
    https://github.com/quicwg/base-drafts/issues/4258 
  - Path Challenge Padding and Amplification Protection (by nibanks)
    https://github.com/quicwg/base-drafts/issues/4257 
  - Endpoints cannot verify padding (by kazuho)
    https://github.com/quicwg/base-drafts/issues/4253 

  13 issues received 42 new comments:
  - #4260 Make TLS Optional (8 by LPardue, gloinul, guilt, hardie, larseggert)
    https://github.com/quicwg/base-drafts/issues/4260 
  - #4257 Path Challenge Padding and Amplification Protection (10 by ianswett, kazuho, martinthomson, nibanks, tatsuhiro-t)
    https://github.com/quicwg/base-drafts/issues/4257 [-transport] [ietf-lc] 
  - #4253 Endpoints cannot verify padding (8 by gloinul, ianswett, janaiyengar, kazuho, larseggert, martinthomson)
    https://github.com/quicwg/base-drafts/issues/4253 [-transport] [ietf-lc] 
  - #4244 QPACK-18: Encoding of string literals (1 by larseggert)
    https://github.com/quicwg/base-drafts/issues/4244 [-qpack] [ietf-lc] 
  - #4243 QPACK-18: Normative reference for RFC2360 (1 by larseggert)
    https://github.com/quicwg/base-drafts/issues/4243 [-qpack] [ietf-lc] 
  - #4242 QPACK-18: HTTP semantics section reference (1 by larseggert)
    https://github.com/quicwg/base-drafts/issues/4242 [-qpack] [ietf-lc] 
  - #4240 Pseudo-headers are not an extension point (1 by LPardue)
    https://github.com/quicwg/base-drafts/issues/4240 [-http] [ietf-lc] 
  - #4231 HTTP-31: Error codes and Standard Action / IESG approval range (2 by larseggert)
    https://github.com/quicwg/base-drafts/issues/4231 [-http] [ietf-lc] 
  - #4230 Transport-31: IANA Policy and change controller (1 by larseggert)
    https://github.com/quicwg/base-drafts/issues/4230 [-transport] [ietf-lc] 
  - #4228 HTTP-31: Sending Reserved Frames prior to stream close (1 by larseggert)
    https://github.com/quicwg/base-drafts/issues/4228 [-http] [ietf-lc] 
  - #4219 HTTP-31: Reserved Error codes (2 by gloinul, larseggert)
    https://github.com/quicwg/base-drafts/issues/4219 [-http] [ietf-lc] 
  - #4216 Connection Migration Failure when Path MTU is asymmetric (1 by gloinul)
    https://github.com/quicwg/base-drafts/issues/4216 [-transport] [design] [ietf-lc] [proposal-ready] 
  - #4183 Handshake failure (infinite ping-pong) when path MTU is asymmetric (5 by LPardue, huitema, ianswett, janaiyengar)
    https://github.com/quicwg/base-drafts/issues/4183 [-transport] [design] [ietf-lc] 

  6 issues closed:
  - Make TLS Optional https://github.com/quicwg/base-drafts/issues/4260 
  - Handshake failure (infinite ping-pong) when path MTU is asymmetric https://github.com/quicwg/base-drafts/issues/4183 [-transport] [design] [ietf-lc] 
  - Connection Migration Failure when Path MTU is asymmetric https://github.com/quicwg/base-drafts/issues/4216 [-transport] [design] [ietf-lc] [proposal-ready] 
  - Endpoints cannot verify padding https://github.com/quicwg/base-drafts/issues/4253 [-transport] [ietf-lc] 
  - HTTP-31: Reserved Error codes https://github.com/quicwg/base-drafts/issues/4219 [-http] [ietf-lc] 
  - Are pseudo-headers are an extension point? https://github.com/quicwg/base-drafts/issues/4240 [-http] [ietf-lc] 

Pull requests
-------------
* quicwg/base-drafts (+7/-8/💬10)
  7 pull requests submitted:
  - Changelogs for -32 (by martinthomson)
    https://github.com/quicwg/base-drafts/pull/4256 
  - receivers cannot enforce datagram padding (though they may drop) (by kazuho)
    https://github.com/quicwg/base-drafts/pull/4254 
  - Explain and discourage HTTP/2 error code overlap (by martinthomson)
    https://github.com/quicwg/base-drafts/pull/4251 
  - [qpack] Update Example B4 (by afrind)
    https://github.com/quicwg/base-drafts/pull/4250 
  - Pseudo-headers can be negotiated (by LPardue)
    https://github.com/quicwg/base-drafts/pull/4248 
  - Refer to Section 5.4 and not just Section 5 (by larseggert)
    https://github.com/quicwg/base-drafts/pull/4247 
  - Make 2360 normative (by larseggert)
    https://github.com/quicwg/base-drafts/pull/4246 

  3 pull requests received 10 new comments:
  - #4254 receivers cannot enforce datagram padding (though they may drop) (2 by janaiyengar, marten-seemann)
    https://github.com/quicwg/base-drafts/pull/4254 
  - #4241 Pad path validation in both directions (6 by huitema, ianswett, janaiyengar)
    https://github.com/quicwg/base-drafts/pull/4241 [-transport] [design] 
  - #4238 pseudo-headers ain't extensible (2 by janaiyengar)
    https://github.com/quicwg/base-drafts/pull/4238 

  8 pull requests merged:
  - Pad when validating addresses
    https://github.com/quicwg/base-drafts/pull/4226 [-transport] [design] 
  - Pad path validation in both directions
    https://github.com/quicwg/base-drafts/pull/4241 [-transport] [design] 
  - receivers cannot enforce datagram padding (though they may drop)
    https://github.com/quicwg/base-drafts/pull/4254 
  - [qpack] Update Example B4
    https://github.com/quicwg/base-drafts/pull/4250 
  - Make 2360 normative
    https://github.com/quicwg/base-drafts/pull/4246 
  - Pseudo-headers can be negotiated
    https://github.com/quicwg/base-drafts/pull/4248 
  - Clarify reserved frame streams
    https://github.com/quicwg/base-drafts/pull/4235 
  - IANA: split change controller and contact
    https://github.com/quicwg/base-drafts/pull/4239 [-transport] 

Repositories tracked by this digest:
-----------------------------------
* https://github.com/quicwg/base-drafts
* https://github.com/quicwg/ops-drafts
* https://github.com/quicwg/datagram
* https://github.com/quicwg/load-balancers
* https://github.com/quicwg/version-negotiation